Subject: bug#20255: «the Oldest» [PATCH] 'search-paths' should respect both user and system profiles

From: zimoun <[email-masked]>
Date: Fri, 18 Dec 2020 21:27:52 +0100

Hi,

The bug#20255 [#] is the oldest patch, still there even if almost is
done.  Let enjoy this patch squash day on Dec. the 18th [0] to close
it. ;-)

Below the summary I wrote couple of months ago.  And the Alex’s answer:

        As for me, I am OK with any default setting as long as there is a way to
        change it.  I recall Ludovic proposed a patch that allowed to customize
        "/etc/profile" and I was happy about it, but he changed his mind on that
        patch so it was never committed.

Let’s tackle it! :-)

0: <https://lists.gnu.org/archive/html/guix-devel/2020-12/msg00215.html>

All the best,
simon

#: <http://issues.guix.gnu.org/issue/20255>

On Fri, 21 Feb 2020 at 16:53, zimoun <[email-masked]> wrote:

> What is the status of the bug#20255 [1]?
> It is old; the last activity seems back on 2015, November. So let resume.
>
> The issue is, e.g.:
>  - perl installed into the system profile
>  - perl-xml-parser installed into an user profile
> Then "guix package --search-paths" does not set correctly XML::Parser.
>
> Fixes had been pushed: dedb17a and b2a7223 and cc3de1d.
>
> The final fix is still missing. Because it is a controversial patch
> [2] :-) i.e., running 'guix' in '/etc/profile'; see these lines of the
> patch:
>
> +  eval `/run/current-system/profile/bin/guix package \\
> +          -p /run/current-system/profile             \\
> +          -p \"$HOME/.guix-profile\" --search-paths`
>
>
> The friendly "protest" [3] is about turning these lines optional via
> an environment variable. I am not sure to follow where the discussion
> had been going then.
>
> Well, is the issue still happening 4 years later?
> If yes, what should be the fix? What is the status quo?
> If no, let close the bug.
>
> Note that other patches are still pending [4] and [5] -- probably
> irrelevant now.
>
> All the best,
> simon
>
>
> [1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=20255
> [2] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=20255#41
> [3] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=20255#44
> [4] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=20255#8
> [5] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=20255#26